Get event by line ID
curl --request GET \
--url https://therundown.io/api/v1/events/{eventId}/lines/{lineId} \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v1/events/{eventId}/lines/{lineId}"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v1/events/{eventId}/lines/{lineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "09bfa53f8484a63e584398545c035932",
"sport_id": 4,
"event_date": "2026-02-12T00:00:00Z",
"teams_normalized": [
{
"team_id": 11,
"name": "Atlanta",
"mascot": "Hawks",
"abbreviation": "ATL",
"is_away": true,
"is_home": false
}
]
}V1 Events (Legacy)
Get event by line ID
GET
/
api
/
v1
/
events
/
{eventId}
/
lines
/
{lineId}
Get event by line ID
Authorizations
Recommended API key request header for new integrations
Query Parameters
Available options:
all_periods Response
200 - application/json
Event for the line
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Lines keyed by affiliate ID
Show child attributes
Show child attributes
Period-specific lines keyed by affiliate ID (when include=all_periods)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes